#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pnam	Glib-Object-Introspection
Summary:	Perl Glib Object-Introspection bindings
Summary(pl.UTF-8):	Wiązania Glib Object-Introspection dla Perla
Name:		perl-Glib-Object-Introspection
Version:	0.049
Release:	5
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	https://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	0d8ab0bf9c4d0a72eb35c16a2ff10d42
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gobject-introspection-devel >= 1.60.0
BuildRequires:	libffi-devel >= 3.0.0
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.00
BuildRequires:	perl-Glib-devel >= 1.320
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig(libffi) >= 3.0.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	cairo-devel
BuildRequires:	glib2-devel >= 2.0
%endif
Requires:	gobject-introspection >= 1.60.0
Requires:	perl-Glib >= 1.320
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glib::Object::Introspection uses the gobject-introspection and libffi
projects to dynamically create Perl bindings for a wide variety of
libraries. Examples include gtk+, webkit, libsoup and many more.

%description -l pl.UTF-8
Glib::GObject::Introspection wykorzystuje projekty
gobject-introspection oraz libffi do dynamicznego tworzenia wiązań
Perla do wielu bibliotek, na przykład gtk+, webkit, libsoup.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Glib/Object/Introspection/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/perli11ndoc
%dir %{perl_vendorarch}/Glib/Object
%{perl_vendorarch}/Glib/Object/Introspection.pm
%dir %{perl_vendorarch}/Glib/Object/Introspection
%{perl_vendorarch}/Glib/Object/Introspection/Install
%dir %{perl_vendorarch}/auto/Glib/Object
%dir %{perl_vendorarch}/auto/Glib/Object/Introspection
%attr(755,root,root) %{perl_vendorarch}/auto/Glib/Object/Introspection/Introspection.so
%{_mandir}/man3/Glib::Object::Introspection.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Glib-Object-Introspection.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 3c7a0d0
- perl 5.38.0 rebuild

* Sun Feb 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 07f5084
- release 4 (libffi 3.4.x)

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 0a7ff42
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> c501d6a
- rebuild with perl 5.34.0

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 1b08a94
- updated to 0.049

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8fd35f0
- rebuild with perl 5.32

* Thu Apr 23 2020 Jakub Bogusz <qboosh@pld-linux.org> ef2d9d5
- updated to 0.048

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 2ab7033
- really rebuild with libffi 3.3
- release 4 (by relup.sh)

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 23d5a04
- rebuild with libffi 3.3
- release 3 (by relup.sh)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> abb2fef
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4c6557c
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Jul 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 33103ee
- updated to 0.047

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 46e0e64
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7d0bf8f
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0d90374
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 21f8b42
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> bd1f337
- updated to 0.040

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b3dfa09
- release 4 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e5f0f61
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> cbb36d5
- libffi rebuild
- release 2 (by relup.sh)

